basePath = 'D:\CellData_2011_2014\2019_02_14_Cell_Tracking_Challenge_2019\Training';
version = '_190217_022351_no_foi_erosion';

inputMatrix = {...
    'DIC-C2DH-HeLa' 40 60 50
    'Fluo-C2DL-MSC' 40 60 50
    'Fluo-C3DH-H157' 40 60 50
    'Fluo-C3DL-MDA231' 20 30 25
    'Fluo-N2DH-GOWT1' 40 60 50
    'Fluo-N2DL-HeLa' 20 30 25
    'Fluo-N3DH-CHO' 40 60 50
    'PhC-C2DH-U373' 40 60 50
    'PhC-C2DL-PSC' 20 30 25};

inputs = struct(...
    'exDir', inputMatrix(:,1),...
    'minErosion', inputMatrix(:,2),...
    'maxErosion', inputMatrix(:,3),...
    'originalErosion', inputMatrix(:,4));

for i = 1:length(inputs)
    fprintf('Optimizing FOI erosion for %s\n', inputs(i).exDir)
    OptimizeFOIErosion(...
        fullfile(basePath, inputs(i).exDir),...
        version,...
        inputs(i).minErosion,...
        inputs(i).maxErosion,...
        inputs(i).originalErosion)
end