% Add necessary paths.
subdirs = textscan(genpath(fileparts(fileparts(mfilename('fullpath')))), '%s','delimiter', pathsep);
addpath(subdirs{1}{:});

base = fileparts(fileparts(mfilename('fullpath')));  % SW.

exDirs = {
    'Fluo-C2DL-MSC'
    'Fluo-N2DH-GOWT1'
    'Fluo-C3DH-A549'
    'Fluo-C3DL-MDA231'
    'Fluo-N2DL-HeLa'
    'Fluo-N3DH-CHO'
    'PhC-C2DL-PSC'
    'Fluo-N3DH-CE'
    'Fluo-C3DH-H157'
    'PhC-C2DH-U373'
    'DIC-C2DH-HeLa'
    'BF-C2DL-MuSC'
    'BF-C2DL-HSC'
    'Fluo-C3DH-A549-SIM'
    'Fluo-N2DH-SIM+'
    'Fluo-N3DH-SIM+'
    };

for i = 1:length(exDirs)
    batFilename = sprintf('Train-%s.bat', exDirs{i});
    fid = fopen(fullfile(base, batFilename), 'w');

    fprintf(fid, '@echo off\r\n');
    fprintf(fid, '\r\n');
    fprintf(fid, 'REM Prerequisities: MATLAB 2019b (x64) including toolboxes for Image Processing, Optimization, Parallel Computing, and Statistics and Machine Learning\r\n');
    fprintf(fid, '\r\n');
    fprintf(fid, 'matlab -wait -r "Train_2024(''%s'')"\r\n', exDirs{i});

    fclose(fid);
end

fprintf('Done generating training bat-files.\n')