% Optimize linking on the 2D datasets for CTC 2024.

subdirs = textscan(genpath(fileparts(fileparts(fileparts(mfilename('fullpath'))))), '%s','delimiter', pathsep);
addpath(subdirs{1}{:});

basePath = 'C:\CTC2024\Training';

% The experiments are ordered so that the fastest ones are processed first.
exDirs = {
    'Fluo-C2DL-MSC'
    'BF-C2DL-MuSC'
    'Fluo-N2DH-GOWT1'
    'PhC-C2DH-U373'
    'DIC-C2DH-HeLa'
    'Fluo-N2DL-HeLa'
    };
exPaths = fullfile(basePath, exDirs);

settingsToOptimize = {
    'TrackXSpeedStd'
    'TrackPAppear'
    'TrackPDisappear'
    'pCnt0'
    'pCnt1'
    'pCnt2'
    'pSplit'
    };

OptimizeLinking2024(exPaths, settingsToOptimize, 10)