% Optimize linking on the 3D datasets for CTC 2024.

subdirs = textscan(genpath(fileparts(fileparts(fileparts(mfilename('fullpath'))))), '%s','delimiter', pathsep);
addpath(subdirs{1}{:});

basePath = 'C:\CTC2024\Training';

% The experiments are ordered so that the fastest ones are processed first.
exDirs = {
    'Fluo-N3DH-CE'
    'Fluo-C3DH-H157'
    'Fluo-C3DH-A549'
    'Fluo-C3DL-MDA231'
    'Fluo-N3DH-CHO'
    };
exPaths = fullfile(basePath, exDirs);

settingsToOptimize = {
    'TrackXSpeedStd'
    'TrackZSpeedStd'
    'TrackPAppear'
    'TrackPDisappear'
    'pCnt0'
    'pCnt1'
    'pCnt2'
    'pSplit'
    };

OptimizeLinking2024(exPaths, settingsToOptimize, 10)