% Optimize linking for the BF-C2DL-HSC datasets for CTC 2024. This dataset
% is optimized separately because the optimization takes a long time.

subdirs = textscan(genpath(fileparts(fileparts(fileparts(mfilename('fullpath'))))), '%s','delimiter', pathsep);
addpath(subdirs{1}{:});

basePath = 'C:\CTC2024\Training';

% The experiments are ordered so that the fastest ones are processed first.
exDirs = {
    'BF-C2DL-HSC'
    };
exPaths = fullfile(basePath, exDirs);

settingsToOptimize = {
    'TrackXSpeedStd'
    'TrackPAppear'
    'TrackPDisappear'
    'pCnt0'
    'pCnt1'
    'pCnt2'
    'pSplit'
    };

OptimizeLinking2024(exPaths, settingsToOptimize, 10)