% Copy the old settings files to a new folder. I manually deleted the
% settings files which will not be included in the challenge.

currentPath = fileparts(mfilename('fullpath'));
oldSettingsPath = fullfile(currentPath, '..', '..', 'Files', 'Settings', 'CTC2021');
newSettingsPath = fullfile(currentPath, '..', '..', 'Files', 'Settings', 'CTC2024');

if ~exist(oldSettingsPath, 'dir')
    fprintf('The folder %s does not exist.', oldSettingsPath)
end

if ~exist(newSettingsPath, 'dir')
    mkdir(newSettingsPath)
end

settingsFiles = GetNames(oldSettingsPath, 'csv');

for i = 1:length(settingsFiles)
    fprintf('Copying settings file %d / %d\n', i, length(settingsFiles))
    src = fullfile(oldSettingsPath, settingsFiles{i});
    dst = fullfile(newSettingsPath, strrep(settingsFiles{i}, 'ISBI_2021', 'ISBI_2024'));
    copyfile(src, dst)
end