% Creates settings without algorithm parameters, to start parameter
% optimization from.

dataSetFolder = 'C:\CTC2024\Training';

settingsToKeep = {
    'numZ'
    'zStacked'
    'bits'
    'voxelHeight'
    'channelMin'
    'channelMax'
    };

defaults = {
    'SegAlgorithm', 'Segment_import',...
    'SegImportFolder', 'Segmentation_ERR_SEG',...
    'TrackSaveFPAsCells', '1',...
    'TrackPAppear', '1E-3',...
    'TrackPDisappear', '1E-3',...
    'TrackXSpeedStd', '15',...
    'TrackZSpeedStd', '15',...
    'TrackSaveCTC', '1',...
    'pDeath', '0'
    };

currentPath = fileparts(mfilename('fullpath'));
newSettingsPath = fullfile(currentPath, '..', '..', 'Files', 'Settings', 'CTC2024_clean');

exDirs = GetNames(dataSetFolder, '');
for e = 1:length(exDirs)
    exPath = fullfile(dataSetFolder, exDirs{e});
    seqDirs = GetNames(exPath, '');
    seqDirs = setdiff(seqDirs, 'Analysis');
    
    for s = 1:length(seqDirs)
        seqDir = seqDirs{s};
        num = seqDir(end-1:end);
        settings = ReadSettings(exPath, seqDir);
        settings_clean = {'file'; num};
        fprintf('Processing %s\n', seqDir)
        for i = 1:length(settingsToKeep)
            value = GetSeqSettings(settings, seqDir, settingsToKeep{i});
            settings_clean = SetSeqSettings(settings_clean, num, settingsToKeep{i}, value);
        end
        settings_clean = SetSeqSettings(settings_clean, num, defaults{:});
        settingsFileName = sprintf('Settings_ISBI_2024_%s_%s-%s_clean.csv',...
                'Training', exDirs{e}, num);
        WriteSettings(fullfile(newSettingsPath, settingsFileName), settings_clean)
    end
    
    CreateSettingsLinkFile2024(exPath, 'Training', '_clean')
end

fprintf('Done creating clean settings files.\n')