% Moves ground truth folders and folders with pre-computed segmentations
% to an Analysis folder, so that the datasets can be processed using the
% GUI.

dataSetFolder = 'C:\CTC2024\Training';

exDirs = GetNames(dataSetFolder, '');
for e = 1:length(exDirs)
    exPath = fullfile(dataSetFolder, exDirs{e});
    fprintf('Processing %s', exPath)
    mkdir(fullfile(exPath, 'Analysis'))
    if exist(fullfile(exPath, '01_GT'), 'dir')
        movefile(fullfile(exPath, '01_GT'), fullfile(exPath, 'Analysis', '01_GT'))
    end
    if exist(fullfile(exPath, '02_GT'), 'dir')
        movefile(fullfile(exPath, '02_GT'), fullfile(exPath, 'Analysis', '02_GT'))
    end
    if exist(fullfile(exPath, '01_ST'), 'dir')
        movefile(fullfile(exPath, '01_ST'), fullfile(exPath, 'Analysis', '01_ST'))
    end
    if exist(fullfile(exPath, '02_ST'), 'dir')
        movefile(fullfile(exPath, '02_ST'), fullfile(exPath, 'Analysis', '02_ST'))
    end
    if exist(fullfile(exPath, '01_ERR_SEG'), 'dir')
        movefile(fullfile(exPath, '01_ERR_SEG'), fullfile(exPath, 'Analysis', '01_ERR_SEG'))
    end
    if exist(fullfile(exPath, '02_ERR_SEG'), 'dir')
        movefile(fullfile(exPath, '02_ERR_SEG'), fullfile(exPath, 'Analysis', '02_ERR_SEG'))
    end
end

