% Copies SegGbRamPerFrameCTC to the optimized settings.

trainingOrChallenge = 'Training';

dataSetFolder = ['C:\CTC2024\' trainingOrChallenge];

suffix = '_optimized_LNK';

settingsToKeep = {
    'SegGbRamPerFrameCTC'
    };

defaults = {
    };

currentPath = fileparts(mfilename('fullpath'));
oldSettingsPath = fullfile(currentPath, '..', '..', 'Files', 'Settings', 'CTC2021');
newSettingsPath = fullfile(currentPath, '..', '..', 'Files', 'Settings', ['CTC2024' suffix]);

exDirs = {
    'Fluo-C2DL-MSC'
    'Fluo-N2DH-GOWT1'
    'Fluo-C3DH-A549'
    'Fluo-C3DL-MDA231'
    'Fluo-N2DL-HeLa'
    'Fluo-N3DH-CHO'
    'PhC-C2DL-PSC'
    'Fluo-N3DH-CE'
    'Fluo-C3DH-H157'
    'PhC-C2DH-U373'
    'DIC-C2DH-HeLa'
    'BF-C2DL-MuSC'
    'BF-C2DL-HSC'
    'Fluo-C3DH-A549-SIM'
    'Fluo-N2DH-SIM+'
    'Fluo-N3DH-SIM+'
    };

for e = 1:length(exDirs)
    exPath = fullfile(dataSetFolder, exDirs{e});
    seqDirs = GetNames(exPath, '');
    seqDirs = setdiff(seqDirs, 'Analysis');
    
    for s = 1:length(seqDirs)
        seqDir = seqDirs{s};
        num = seqDir(end-1:end);
        
        settingsFileName_old = sprintf('Settings_ISBI_2021_%s_%s-%s.csv',...
            trainingOrChallenge, exDirs{e}, num);
        settingsPath_old = fullfile(oldSettingsPath, settingsFileName_old);
        settings_old = ReadSettings(settingsPath_old);
        
        settingsFileName = sprintf('Settings_ISBI_2024_%s_%s-%s%s.csv',...
            trainingOrChallenge, exDirs{e}, num, suffix);
        settingsPath = fullfile(newSettingsPath, settingsFileName);
        
        settings_new = ReadSettings(settingsPath);
        fprintf('Processing %s\n', seqDir)
        for i = 1:length(settingsToKeep)
            value = GetSeqSettings(settings_old, num, settingsToKeep{i});
            settings_new = SetSeqSettings(settings_new, num, settingsToKeep{i}, value);
        end
        settings_new = SetSeqSettings(settings_new, num, defaults{:});

        WriteSettings(settingsPath, settings_new)
    end
end

fprintf('Done transfering settings files.\n')